// HeightField.pov : preview scene for Persistence of Textures
// B.Thery - 23/03/2002
//
// - This scene renders the texture applied on a height field.
// - The checkers cells are 1 unit wide.
//
#include "btex.inc"
#include "walls.inc"
#include "sky.inc"
#include "floor.inc"


light_source {
	<-2,10,-10>, color rgb <1,1,1>
}

camera {
	location  <-2.5,2.75,-2.5>
    direction z
    up y
    right x*IMG_WIDTH/IMG_HEIGHT
	look_at <0,1,0>
}

height_field {
	png "hf.png" 
	smooth
	texture { POT_TEXTURE }
	translate <-0.5,0,-0.5>
	rotate y*90
	scale <2.75,1.5,2.75>
}
